%define python %(%{__python} -c "import sys; print sys.version[:3]")

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		libuser
Version: 	0.55
Release: 	1
Group: 		System/Base
License: 	LGPL
Source: 	libuser-%{version}.tar.gz
Patch0:		libuser-pyobj.patch
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:  glibc-devel
BuildRequires: 	glib-devel, pam-devel, popt, python-devel
BuildRequires: 	cyrus-sasl-devel, openldap-devel linuxdoc-tools
Summary: 	A user and group account administration library.


%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package devel
Group: 		Development/Libraries
Summary: 	Files needed for developing applications which use libuser.
Requires: 	%{name} = %{version}-%{release}
Requires: 	glib-devel

%description devel
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-ldap \
	--with-html-dir=%{_datadir}/gtk-doc/html
make

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

# Verify that all python modules load, just in case.
pushd $RPM_BUILD_ROOT/%{_libdir}/python%{python}/site-packages/
python%{python} -c "import libuser"
popd

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO docs/*.txt python/modules.txt
%config(noreplace) %{_sysconfdir}/libuser.conf

%attr(0755,root,root) %{_bindir}/*
%{_libdir}/python%{python}/site-packages/*.so
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files devel
%defattr(-,root,root)
%{_includedir}/libuser
%{_libdir}/*.so
#%attr(0644,root,root) %{_mandir}/man3/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*
%{_libdir}/*.la
%{_libdir}/%{name}/*.la
%{_libdir}/python%{python}/site-packages/*.la


%changelog
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.55-1
- Version update

* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.54.8-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.54.6-2
- rebuilt against python 2.5
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.54.6-1
- Initial release
